Please upgrade here. These earlier versions are no longer being updated and have security issues.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Options

Latest Pockets version for 2.0.18.10

What is the latest version of Pockets compatible with Vanilla 2.0.18.10? The one listed here looks too old and the one on Github is too new for 2.0.18.10.

Comments

  • Options
    hgtonighthgtonight ∞ · New MVP

    Welcome to the community!

    What do you mean by "looks too old"? Does it not work?

    Search first

    Check out the Documentation! We are always looking for new content and pull requests.

    Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

  • Options

    The version of the Pockets plugin here is 1.0.1b. Over at Github there were many more subsequent releases. I'd assume some of those releases were bug fixes, enhancements... maybe security fixes too. But the latest version over at Github (1.1.2) requires Vanilla version 2.1a20 or later. So I'm trying to figure out what is the latest version that is compatible with the latest stable version of Vanilla 2.0.18.10.

  • Options
    hgtonighthgtonight ∞ · New MVP

    I would suggest the version in the addons section here. Approved addons get bug fix releases.

    Search first

    Check out the Documentation! We are always looking for new content and pull requests.

    Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

  • Options

    That is my point. It is an "approved" add on, but yet it says the plugin is being maintained at Github. (Alluding that it might not be maintained here.) And sure enough there were lots of releases past 1.0.1b at Github. So it is difficult to get the most recent version that is compatible with 2.0.18.10.

    Anyway, through hours of trial and error I think I've discovered that the last version compatible with the current Vanilla release is 1.0.4. The 1.0.5 version includes the InSection function which isn't available until 2.1 beta.

  • Options
    hgtonighthgtonight ∞ · New MVP

    Is this true @Todd?

    Can we get a new (1.0.4) release here?

    Search first

    Check out the Documentation! We are always looking for new content and pull requests.

    Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

  • Options
    peregrineperegrine MVP
    edited February 2014

    @tflight said:
    That is my point. It is an "approved" add on, but yet it says the plugin is being maintained at Github. (Alluding that it might not be maintained here.) And sure enough there were lots of releases past 1.0.1b at Github. So it is difficult to get the most recent version that is compatible with 2.0.18.10.

    Anyway, through hours of trial and error I think I've discovered that the last version compatible with the current Vanilla release is 1.0.4. The 1.0.5 version includes the InSection function which isn't available until 2.1 beta.

    nice, sometimes you've got to figure it out yourself, as you did. nice tip and find.

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

  • Options
    businessdadbusinessdad Stealth contributor MVP

    I backported Pockets 1.2 some time ago, forking the plugins repository, and made it compatible with Vanilla 2.0.x (I'm a self proclaimed "backporter", I keep making 2.1 stuff compatible with 2.0 :D). I attached it to this post, perhaps it might be useful to you.

  • Options

    That's great, @businessdad thanks for the zip. Is your fork still on Github itself?

  • Options
    businessdadbusinessdad Stealth contributor MVP

    @tflight said:
    That's great, businessdad thanks for the zip. Is your fork still on Github itself?

    Yes, it is: https://github.com/daigo75/Addons/tree/Working_with_Vanilla_2.0.18.x.

  • Options

    Fantastic, thanks @businessdad!

  • Options
    businessdadbusinessdad Stealth contributor MVP

    @tflight said:
    Fantastic, thanks businessdad!

    You're welcome. You can send the Innis & Gunn directly to me (I'm sure that my amazing plugin backport is well worth it! :D:D:D)

Sign In or Register to comment.